#pragma once
// clang-format off

/*
    NeoPI_W_v1.h
    Part of Grbl_ESP32

    Pin assignments for the NeoPI Wireless CNC Controller(3-axis), v1.0 and later.
    https://github.com/saheenpalayi/NeoPI_Wireless

    2024    - Saheen Palayi

    Grbl_ESP32 is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Grbl is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Grbl_ESP32.  If not, see <http://www.gnu.org/licenses/>.
*/

#define MACHINE_NAME            "Poombata"

#define MOTOR_1_STEP_PIN              GPIO_NUM_21
#define MOTOR_1_DIRECTION_PIN         GPIO_NUM_19
#define MOTOR_2_STEP_PIN              GPIO_NUM_18
#define MOTOR_2_DIRECTION_PIN         GPIO_NUM_5
#define MOTOR_3_STEP_PIN              GPIO_NUM_17
#define MOTOR_3_DIRECTION_PIN         GPIO_NUM_16

#define STATUS_LED_PIN                GPIO_NUM_2

// OK to comment out to use pin for other features
#define STEPPERS_DISABLE_PIN    GPIO_NUM_22

// #define SPINDLE_TYPE            SpindleType::BESC
#define SERVO_PIN      GPIO_NUM_32   // labeled SpinPWM


// Define the number of steps per revolution for your stepper motors
#define BASE_STEPS_PER_REV 200  // Base steps per revolution (without microstepping)

// Define the microstepping factor
#define MICROSTEPPING_FACTOR 32  // DRV8825 set to 1/32 microstepping

// Calculate the effective steps per revolution with microstepping
#define STEPS_PER_REV (BASE_STEPS_PER_REV * MICROSTEPPING_FACTOR)

// Define the radius of the omni wheels (in meters)
#define WHEEL_RADIUS 0.029  // Example value, adjust as needed

// Scaling factor to convert desired movement into more manageable units (e.g., millimeters)
#define SCALING_FACTOR 0.001  // Convert from meters to millimeters



#include <Arduino.h>